Package org.eclipse.cdt.utils.macho

# Class AR.ARHeader

java.lang.Object
org.eclipse.cdt.utils.macho.AR.ARHeader

Enclosing class:
  `AR`

public class AR.ARHeader extends Object
The `ARHeader` class is used to store the per-object file archive headers. It can also create an Mach-O object for inspecting the object file data.

## Constructor Summary

Constructors
Constructor
Description
`ARHeader()`
Creates a new archive header object.

## Method Summary

Modifier and Type
Method
Description
`String`
`getArchiveName()`
`byte[]`
`getObjectData()`
`long`
`getObjectDataOffset()`
Create an new MachO object for the object file.
`String`
`getObjectName()`
Get the name of the object file
`long`
`getSize()`
Get the size of the object file .

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ARHeader

public ARHeader() throws IOException
Creates a new archive header object. Assumes that efile is already at the correct location in the file.

Throws:
  `IOException` - There was an error processing the header data from the file.

## Method Details

### getObjectName

public String getObjectName()
Get the name of the object file

### getSize

public long getSize()
Get the size of the object file .

### getArchiveName

public String getArchiveName()

### getObjectDataOffset

public long getObjectDataOffset() throws IOException
Create an new MachO object for the object file.

Returns:
  A new MachO object.
Throws:
  `IOException` - Not a valid MachO object file.
See Also:
  - invalid reference

        MachO#MachO(String, long)

### getObjectData

public byte[] getObjectData() throws IOException

Throws:
  `IOException`